<?php
namespace Modules\Galeria\Controllers;

use App\Controllers\BaseController;
use Modules\Galeria\Models\model_galeria;

use Core\MY_Controller;
use Store\DataHelper;

class Galeria extends BaseController {
	public function __construct() {
		$this->dataHelper			= new DataHelper;
		$this->model_galeria 	= new Model_galeria; 
	}

	public function index($urlAmigavel) {
		$dados['banners'] 	= $this->dataAppHelper->DAH_appGetBanners('galeria');
		$dados['cadastro'] 	= $this->model_galeria->getCadastro($urlAmigavel);

		$this->_app('Modules\Galeria\Views\view_galeria', $dados);
	}

	public function error_404() {
		$this->_app('Modules\Galeria\Views\view_404');
	}
}